xine-lib: real_stream_t Struct Reference

xine-lib 1.2.12

Data Fields
real_stream_t Struct Reference

## Data Fields
uint32_t | fourcc
uint32_t | buf_type
uint32_t | format
int | index_entries
real_index_entry_t * | index
mdpr_t * | mdpr
uint32_t | intl
int | sps
int | cfs
int | w
int | h
int | block_align
size_t | frame_size
uint8_t * | frame_buffer
uint32_t | frame_num_bytes
uint32_t | sub_packet_cnt
uint32_t | audio_time

## Field Documentation

## ◆ audio_time

uint32_t real_stream_t::audio_time

## ◆ block_align

int real_stream_t::block_align

Referenced by real_parse_audio_specific_data().

## ◆ buf_type

uint32_t real_stream_t::buf_type

Referenced by real_parse_headers().

## ◆ cfs

int real_stream_t::cfs

Referenced by real_parse_audio_specific_data().

## ◆ format

uint32_t real_stream_t::format

Referenced by real_parse_headers().

## ◆ fourcc

uint32_t real_stream_t::fourcc

Referenced by real_parse_audio_specific_data(), and real_parse_headers().

## ◆ frame_buffer

uint8_t* real_stream_t::frame_buffer

Referenced by real_parse_audio_specific_data().

## ◆ frame_num_bytes

uint32_t real_stream_t::frame_num_bytes

Referenced by real_parse_audio_specific_data().

## ◆ frame_size

size_t real_stream_t::frame_size

Referenced by real_parse_audio_specific_data().

## ◆ h

int real_stream_t::h

Referenced by real_parse_audio_specific_data().

## ◆ index

real_index_entry_t* real_stream_t::index

Referenced by real_parse_headers().

## ◆ index_entries

int real_stream_t::index_entries

## ◆ intl

uint32_t real_stream_t::intl

Referenced by real_parse_audio_specific_data().

## ◆ mdpr

mdpr_t* real_stream_t::mdpr

Referenced by real_parse_audio_specific_data(), and real_parse_headers().

## ◆ sps

int real_stream_t::sps

Referenced by real_parse_audio_specific_data().

## ◆ sub_packet_cnt

uint32_t real_stream_t::sub_packet_cnt

Referenced by real_parse_audio_specific_data().

## ◆ w

int real_stream_t::w

Referenced by real_parse_audio_specific_data().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_real.c